Bug 1464696 - ksh login shell problem sourcing profile scripts
ksh login shell problem sourcing profile scripts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
26
noarch Linux
unspecified Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-24 13:01 EDT by Axel
Modified: 2018-05-29 07:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel 2017-06-24 13:01:55 EDT
Description of problem:

When using ksh as a login shell a profile script gives a syntax error which results in an incomplete environment.

The profile script in question is /etc/profile.d/scl-init.sh which starts with:

function scl()

which in ksh is not supported. Deleting the word 'function' or removing the () should fix this.

I also wonder what the policy is regarding 'bashisms' in these scripts, it seems only bash and zsh are supported? Otherwise there are some others which should be written more portable (trying 'dash' as a shell will show these).

Version-Release number of selected component (if applicable):

Name         : ksh
Version      : 20120801
Release      : 35.fc26
Arch         : x86_64
Size         : 3.2 M
Source       : ksh-20120801-35.fc26.src.rpm
Repo         : @System
From repo    : updates-testing


How reproducible:

Install ksh and type: SHELL=/bin/ksh ksh -l


Actual results:
Syntax error

Expected results:
no syntax error
Comment 1 Siteshwar Vashisht 2017-06-25 10:54:58 EDT
'/etc/profile.d/scl-init.sh' script belongs to scl-utils package. Moving this bug to scl-utils component.
Comment 2 Fedora End Of Life 2018-05-03 05:02:32 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 07:32:09 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.